OpenShot Audio Library | OpenShotAudio: juce::universal_midi_packets::Iterator Class Reference

OpenShot Audio Library | OpenShotAudio 0.6.0

Loading...
Searching...
No Matches
juce::universal_midi_packets::Iterator Class Reference

`#include <juce_UMPIterator.h>`

## Public Types
using | difference_type = std::iterator_traits<const uint32_t*>::difference_type
using | value_type = View
using | reference = const View&
using | pointer = const View*
using | iterator_category = std::forward_iterator_tag

## Public Member Functions
| Iterator () noexcept=default
| Iterator (const uint32_t *ptr, size_t bytes) noexcept
Iterator & | operator++ () noexcept
Iterator | operator++ (int) noexcept
bool | operator== (const Iterator &other) const noexcept
bool | operator!= (const Iterator &other) const noexcept
reference | operator* () noexcept
pointer | operator-> () noexcept

## Detailed Description

Enables iteration over a collection of Universal MIDI Packets stored as a contiguous range of 32-bit words.

This iterator is used by Packets to allow access to the messages that it contains.

Definition at line 37 of file juce_UMPIterator.h.

## Member Typedef Documentation

## ◆ difference_type

using juce::universal_midi_packets::Iterator::difference_type = std::iterator_traits<const uint32_t*>::difference_type

Definition at line 46 of file juce_UMPIterator.h.

## ◆ iterator_category

using juce::universal_midi_packets::Iterator::iterator_category = std::forward_iterator_tag

Definition at line 50 of file juce_UMPIterator.h.

## ◆ pointer

using juce::universal_midi_packets::Iterator::pointer = const View*

Definition at line 49 of file juce_UMPIterator.h.

## ◆ reference

using juce::universal_midi_packets::Iterator::reference = const View&

Definition at line 48 of file juce_UMPIterator.h.

## ◆ value_type

using juce::universal_midi_packets::Iterator::value_type = View

Definition at line 47 of file juce_UMPIterator.h.

## Constructor & Destructor Documentation

## ◆ Iterator() [1/2]

juce::universal_midi_packets::Iterator::Iterator | ( |  | ) |
| defaultnoexcept

Creates an invalid (singular) iterator.

Referenced by Iterator(), operator!=(), operator++(), operator++(), and operator==().

## ◆ Iterator() [2/2]

juce::universal_midi_packets::Iterator::Iterator | ( | const uint32_t * | ptr,
|  | size_t | bytes )
| explicitnoexcept

Creates an iterator pointing at ptr.

Definition at line 26 of file juce_UMPIterator.cpp.

## Member Function Documentation

## ◆ operator!=()

bool juce::universal_midi_packets::Iterator::operator!= | ( | const Iterator & | other | ) | const
| inlinenoexcept

Returns false if this iterator points to the same address as another iterator.

Definition at line 91 of file juce_UMPIterator.h.

## ◆ operator*()

reference juce::universal_midi_packets::Iterator::operator* | ( |  | ) |
| inlinenoexcept

Returns a reference to a View of the packet currently pointed-to by this iterator.

The View can be queried for its size and content.

Definition at line 101 of file juce_UMPIterator.h.

## ◆ operator++() [1/2]

Iterator & juce::universal_midi_packets::Iterator::operator++ | ( |  | ) |
| inlinenoexcept

Moves this iterator to the next packet in the range.

Definition at line 53 of file juce_UMPIterator.h.

## ◆ operator++() [2/2]

Iterator juce::universal_midi_packets::Iterator::operator++ | ( | int |  | ) |
| inlinenoexcept

Moves this iterator to the next packet in the range, returning the value of the iterator before it was incremented.

Definition at line 73 of file juce_UMPIterator.h.

## ◆ operator->()

pointer juce::universal_midi_packets::Iterator::operator-> | ( |  | ) |
| inlinenoexcept

Returns a pointer to a View of the packet currently pointed-to by this iterator.

The View can be queried for its size and content.

Definition at line 108 of file juce_UMPIterator.h.

## ◆ operator==()

bool juce::universal_midi_packets::Iterator::operator== | ( | const Iterator & | other | ) | const
| inlinenoexcept

Returns true if this iterator points to the same address as another iterator.

Definition at line 83 of file juce_UMPIterator.h.

Referenced by operator!=().

The documentation for this class was generated from the following files:

- juce_UMPIterator.h
- juce_UMPIterator.cpp